/* pllx color scheme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin-top: 1%;
  margin-left: 1%;
  margin-right: 1%;
  margin-bottom: 1%;
  background-color: #3d3d3d;
  font-family: arial,helvetica;
  color: #ffffff;
}

a { text-decoration: none; color: #7fffd4; }
a:hover { text-decoration: underline; color: #98fb98; }
a:active { color: #87ceeb; }
.unavailable, .unavailable:hover { font-style: italic; }


.footer { font-size: x-small; color: #b5b5b5; }

/* Titles */

/* <h1> Page title */
h1 {
	text-indent: 0.3em;
}
/* <h2> Section title */
h2 {
	text-indent: 1em;
	color: #e0c080;
	border-bottom: thin solid #e0c080;
}
/* <h3> Small section title */
/* <h4> Input form label */
h4 {
	margin: 1px 1px 1px 1px;
	color: #e0c080;
	border-bottom: thin solid #e0c080;
}

.warn {
	color: #ff9e9e;
}

.error {
	color: #ff9e9e;
	font-weight: bold;
}

.highlight { background-color: #4f706c; color: white; }

/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/


/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.topmenu {
  border-top: thin solid #12b76a;
}

.topmenutitle {
  border: thin solid #12b76a;
  border-top: none;
  background-color: #c6ffc6;
  color: #12b76a;
  text-align: center;
}

.topmenuitemmainitem {
  background-color: #e8ffe8;
  border-bottom: thin solid #12b76a;
  color: #12b76a;
}

.topmenu a { text-decoration: none; color: #38876a }
.topmenu a:hover { text-decoration: underline; color: #26b526; }
.tabselect { background: #38876a; color: white !important; }


ul.topmenuitemsubmenu {
  border: thin solid black;
  background-color: #3d3d3d;
}

.topmenuitemsubmenu a { color: #7fffd4; }
.topmenuitemsubmenu a:hover { color: #98fb98; }

.menu {
  vertical-align: top;
  margin-top: 25px;
  border-spacing: 0;
  border: 0;
  color: #b5b5b5;
}

.menutitle {
  background-color: #c6ffc6;
  border: thin solid #12b76a;
  color: #12b76a;
  margin-top: 25px;
  padding-top: 0;
  text-align: center;
}

.menuitem {
  list-style-type: none;
  font-size: small;
  background-color: #e8ffe8;
  vertical-align: middle;
  text-align: right;
  border-bottom: thin solid #12b76a;
  color: #12b76a;
  padding-right: 0.3em;
}

.relatedrecipes {
  list-style-type: none;
  font-size: small;
  background-color: #e8ffe8;
  vertical-align: middle;
  text-align: right;
  border-bottom: thin solid #12b76a;
  color: #12b76a;
  padding-right: 0.3em;
}



.menu a { text-decoration: none; color: #38876a }

.menu a:hover { text-decoration: underline; color: #26b526; }


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.boxtitle {
  border: thin solid black;
  font-weight: bold;
  text-align: center;
  background-color: #e5e5e5;
  color: black;
}

.boxitem {
  border: thin solid black;
  background-color: #686868;
}

.boxitemalt {
  border: thin solid black;
  background-color: #3d3d3d;
}

.boxoptions {
  border: thin solid black;
  background-color: #3d3d3d;
}

.boxtitle a { color: black; }
.boxtitle a:hover { color: black; }

.boxhighlight { background-color: #4f706c; color: white; }

/* Forms */
button,input
{
  background-color: #3d3d3d;
  border: thin inset #3d3d3d;
  color: #7fffd4;
}

button:hover,input:hover { color: #98fb98; }

select {
  background-color: #3d3d3d;
  border: thin inset #3d3d3d;
  color: #7fffd4;
}

textarea {
  background-color: #3d3d3d;
  border: thin inset #3d3d3d;
  color: #7fffd4;
}

textarea:hover { color: #7fffd4; }

.preinput {
 font-style: italic
}

/* Priorities */
.priora { background-color: #206a87; }
.priorb { background-color: #1e647f; }
.priorc { background-color: #1c5e77; }
.priord { background-color: #1a5870; }
.priore { background-color: #195268; }
.priorf { background-color: #174c60; }
.priorg { background-color: #154659; }
.priorh { background-color: #134051; }
.priori { background-color: #113a49; }

.prioraclosed { background-color: #208261; }
.priorbclosed { background-color: #1e7a64; }
.priorcclosed { background-color: #1c7258; }
.priordclosed { background-color: #1a6b50; }
.prioreclosed { background-color: #1a6644; }
.priorfclosed { background-color: #165b38; }
.priorgclosed { background-color: #155436; }
.priorhclosed { background-color: #134c2e; }
.prioriclosed { background-color: #114427; }
